Package org.eclipse.m2m.atl.profiler.model

## Interface ATLInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `ATLOperation`

All Known Implementing Classes:
  `ATLInstructionImpl`, `ATLOperationImpl`

    public interface ATLInstruction
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'ATL Instruction'.

The following features are supported:

- `ATL Element Ref`
- `Name`
- `Profiling Instructions`

See Also:
  `ModelPackage.getATLInstruction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getATLElementRef()` Returns the value of the 'ATL Element Ref' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`org.eclipse.emf.common.util.EList<ProfilingInstruction>` `getProfilingInstructions()` Returns the value of the 'Profiling Instructions' reference list.
`void` `setATLElementRef​(java.lang.Object value)` Sets the value of the '`ATL Element Ref`' attribute.
`void` `setName​(java.lang.String value)` Sets the value of the '`Name`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getATLElementRef

    java.lang.Object getATLElementRef()

Returns the value of the 'ATL Element Ref' attribute.

If the meaning of the 'ATL Element Ref' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'ATL Element Ref' attribute.
See Also:
  `setATLElementRef(Object)`, `ModelPackage.getATLInstruction_ATLElementRef()`

#### setATLElementRef

    void setATLElementRef​(java.lang.Object value)

Sets the value of the '`ATL Element Ref`' attribute.

Parameters:
  `value` - the new value of the 'ATL Element Ref' attribute.
See Also:
  `getATLElementRef()`

#### getName

    java.lang.String getName()

Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`, `ModelPackage.getATLInstruction_Name()`

#### setName

    void setName​(java.lang.String value)

Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`

#### getProfilingInstructions

    org.eclipse.emf.common.util.EList<ProfilingInstruction> getProfilingInstructions()

Returns the value of the 'Profiling Instructions' reference list. The list contents are of type `ProfilingInstruction`.

If the meaning of the 'Profiling Instructions' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Profiling Instructions' reference list.
See Also:
  `ModelPackage.getATLInstruction_ProfilingInstructions()`